package client

import (
	"fmt"
	"gitlab.novgate.com/common/system-client/pb"
	"testing"
)

const (
	apiUrl    = "http://localhost:9000"
	appKey    = "xxx"
	appSecret = "xxx"
)

var httpClient *HttpClient

func init() {
	httpClient = NewHttpClient(apiUrl, appKey, appSecret)
}
func TestLogin(t *testing.T) {
	req := &pb.LoginReq{
		Header: &pb.RpcHeader{
			Uuid:  "33333333333",
			Token: "",
		},
		UserName: "admin",
		Password: "admin123",
	}

	adminUser := httpClient.Login(req)

	fmt.Println(adminUser.Header.Token)
}

func TestLogout(t *testing.T) {
	header := httpClient.Logout("TK-1-NBFALBZYVTA9F")

	fmt.Println(header)
}

func TestCheckToken(t *testing.T) {

	adminUser := httpClient.CheckToken("TK-1-NBFALBZYVTA9F")
	fmt.Println(adminUser)
}

func TestUserMenu(t *testing.T) {

	menu := httpClient.GetUserMenu("TK-1-VF9KOEE5FWTEU")
	fmt.Println(menu)
}
